"use weex:vue";

if (typeof Promise !== 'undefined' && !Promise.prototype.finally) {
  Promise.prototype.finally = function(callback) {
    const promise = this.constructor
    return this.then(
      value => promise.resolve(callback()).then(() => value),
      reason => promise.resolve(callback()).then(() => {
        throw reason
      })
    )
  }
};

if (typeof uni !== 'undefined' && uni && uni.requireGlobal) {
  const global = uni.requireGlobal()
  ArrayBuffer = global.ArrayBuffer
  Int8Array = global.Int8Array
  Uint8Array = global.Uint8Array
  Uint8ClampedArray = global.Uint8ClampedArray
  Int16Array = global.Int16Array
  Uint16Array = global.Uint16Array
  Int32Array = global.Int32Array
  Uint32Array = global.Uint32Array
  Float32Array = global.Float32Array
  Float64Array = global.Float64Array
  BigInt64Array = global.BigInt64Array
  BigUint64Array = global.BigUint64Array
};


(()=>{var w=Object.create;var a=Object.defineProperty;var u=Object.getOwnPropertyDescriptor;var g=Object.getOwnPropertyNames;var b=Object.getPrototypeOf,x=Object.prototype.hasOwnProperty;var m=(e,t)=>()=>(t||e((t={exports:{}}).exports,t),t.exports);var _=(e,t,o,s)=>{if(t&&typeof t=="object"||typeof t=="function")for(let n of g(t))!x.call(e,n)&&n!==o&&a(e,n,{get:()=>t[n],enumerable:!(s=u(t,n))||s.enumerable});return e};var f=(e,t,o)=>(o=e!=null?w(b(e)):{},_(t||!e||!e.__esModule?a(o,"default",{value:e,enumerable:!0}):o,e));var h=m((B,p)=>{p.exports=Vue});var i=f(h());function y(e,t,...o){uni.__log__?uni.__log__(e,t,...o):console[e].apply(console,[...o,t])}var v="/static/images/icon/back.png",S={header:{"":{height:50,paddingTop:10,paddingRight:10,paddingBottom:10,paddingLeft:10,display:"flex",alignItems:"center",justifyContent:"space-between",flexDirection:"row"}},icon:{".header ":{width:20}},text:{".header ":{fontSize:20,fontWeight:"600",color:"#222222"}},right:{".header ":{width:20}}},k=(e,t)=>{let o=e.__vccOpts||e;for(let[s,n]of t)o[s]=n;return o},W={data(){return{basUrl:"https://www.moyuan.cc/#/pages/protocol/index?id=678a210af08210ad5743e141",boxWidth:0,boxHeight:0,boxTop:0,htmlList:[{text:"\u670D\u52A1\u534F\u8BAE",url:"https://www.moyuan.cc/#/pages/protocol/index?id=67b8216d99c62422a8ec3108"},{text:"\u9690\u79C1\u653F\u7B56",url:"https://www.moyuan.cc/#/pages/protocol/index?id=67b821d07c8de46bafcf37c5"},{text:"\u4F1A\u5458\u534F\u8BAE",url:"https://www.moyuan.cc/#/pages/protocol/index?id=67b8223ca674f489937eaa3b"}],htmlForm:{}}},mounted(){this.getWidth()},onLoad(e){y("log","at pages/webview/webview.nvue:40","option",e),this.htmlForm=this.htmlList[e.type]},computed:{contentStyle(){return{width:this.boxWidth+"px",height:this.boxHeight+"px",paddingTop:this.boxTop+"px"}},webViewStyle(){return{width:this.boxWidth+"px",height:this.boxHeight-this.boxTop-60+"px"}},textStyle(){return{fontSize:"20px"}}},methods:{getWidth(){let e=0,t=0;uni.getSystemInfo({success:s=>{e=s.windowWidth,t=s.windowHeight}});let o=uni.getSystemInfoSync().statusBarHeight;this.boxWidth=e,this.boxHeight=t,this.boxTop=o},back(){uni.navigateBack()}}};function T(e,t,o,s,n,r){return(0,i.openBlock)(),(0,i.createElementBlock)("scroll-view",{scrollY:!0,showScrollbar:!0,enableBackToTop:!0,bubble:"true",style:{flexDirection:"column"}},[(0,i.createElementVNode)("view",{class:"content",style:(0,i.normalizeStyle)([r.contentStyle,{border:"none"}])},[(0,i.createElementVNode)("view",{class:"header"},[(0,i.createElementVNode)("u-image",{style:{width:"10px"},class:"icon",src:v,mode:"widthFix",onClick:t[0]||(t[0]=(...d)=>r.back&&r.back(...d))}),(0,i.createElementVNode)("view",{style:{"font-size":"24px","font-weight":"600"}},[(0,i.createElementVNode)("u-text",null,(0,i.toDisplayString)(n.htmlForm.text),1)]),(0,i.createElementVNode)("view",{class:"right"})]),(0,i.createElementVNode)("u-web-view",{ref:"sWebViewRef",style:(0,i.normalizeStyle)(r.webViewStyle),src:n.htmlForm.url,fullscreen:!1},null,12,["src"])],4)])}var l=k(W,[["render",T],["styles",[S]]]);var c=plus.webview.currentWebview();if(c){let e=parseInt(c.id),t="pages/webview/webview",o={};try{o=JSON.parse(c.__query__)}catch(n){}l.mpType="page";let s=Vue.createPageApp(l,{$store:getApp({allowDefault:!0}).$store,__pageId:e,__pagePath:t,__pageQuery:o});s.provide("__globalStyles",Vue.useCssStyles([...__uniConfig.styles,...l.styles||[]])),s.mount("#root")}})();
